CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2004-0381

mysqlbug in MySQL allows local users to overwrite arbitrary files via a symlink attack on the failed-mysql-bugreport temporary file.
Publish Date : 2004-05-04 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
2.1
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2004-03-24
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
mysqlbug in MySQL allows local users to overwrite arbitrary files via a symlink attack on the failed-mysql-bugreport tem... oval:org.mitre.oval:def:11557 unix
RHSA-2004:569: mysql security update (Low) oval:com.redhat.rhsa:def:2004569 unix
RHSA-2004:569: mysql security update (Low) oval:com.redhat.rhsa:def:20040569 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2004-0381

# Product Type Vendor Product Version Update Edition Language
1 Application Mysql Mysql 3.20.32a Version Details Vulnerabilities
2 Application Mysql Mysql 3.22.26 Version Details Vulnerabilities
3 Application Mysql Mysql 3.22.27 Version Details Vulnerabilities
4 Application Mysql Mysql 3.22.28 Version Details Vulnerabilities
5 Application Mysql Mysql 3.22.29 Version Details Vulnerabilities
6 Application Mysql Mysql 3.22.30 Version Details Vulnerabilities
7 Application Mysql Mysql 3.22.32 Version Details Vulnerabilities
8 Application Mysql Mysql 3.23.2 Version Details Vulnerabilities
9 Application Mysql Mysql 3.23.3 Version Details Vulnerabilities
10 Application Mysql Mysql 3.23.5 Version Details Vulnerabilities
11 Application Mysql Mysql 3.23.8 Version Details Vulnerabilities
12 Application Mysql Mysql 3.23.9 Version Details Vulnerabilities
13 Application Mysql Mysql 3.23.10 Version Details Vulnerabilities
14 Application Mysql Mysql 3.23.22 Version Details Vulnerabilities
15 Application Mysql Mysql 3.23.23 Version Details Vulnerabilities
16 Application Mysql Mysql 3.23.24 Version Details Vulnerabilities
17 Application Mysql Mysql 3.23.25 Version Details Vulnerabilities
18 Application Mysql Mysql 3.23.26 Version Details Vulnerabilities
19 Application Mysql Mysql 3.23.27 Version Details Vulnerabilities
20 Application Mysql Mysql 3.23.28 Gamma Version Details Vulnerabilities
21 Application Mysql Mysql 3.23.28 Version Details Vulnerabilities
22 Application Mysql Mysql 3.23.29 Version Details Vulnerabilities
23 Application Mysql Mysql 3.23.30 Version Details Vulnerabilities
24 Application Mysql Mysql 3.23.31 Version Details Vulnerabilities
25 Application Mysql Mysql 3.23.32 Version Details Vulnerabilities
26 Application Mysql Mysql 3.23.33 Version Details Vulnerabilities
27 Application Mysql Mysql 3.23.34 Version Details Vulnerabilities
28 Application Mysql Mysql 3.23.36 Version Details Vulnerabilities
29 Application Mysql Mysql 3.23.37 Version Details Vulnerabilities
30 Application Mysql Mysql 3.23.38 Version Details Vulnerabilities
31 Application Mysql Mysql 3.23.39 Version Details Vulnerabilities
32 Application Mysql Mysql 3.23.40 Version Details Vulnerabilities
33 Application Mysql Mysql 3.23.41 Version Details Vulnerabilities
34 Application Mysql Mysql 3.23.42 Version Details Vulnerabilities
35 Application Mysql Mysql 3.23.43 Version Details Vulnerabilities
36 Application Mysql Mysql 3.23.44 Version Details Vulnerabilities
37 Application Mysql Mysql 3.23.45 Version Details Vulnerabilities
38 Application Mysql Mysql 3.23.46 Version Details Vulnerabilities
39 Application Mysql Mysql 3.23.47 Version Details Vulnerabilities
40 Application Mysql Mysql 3.23.48 Version Details Vulnerabilities
41 Application Mysql Mysql 3.23.49 Version Details Vulnerabilities
42 Application Mysql Mysql 3.23.50 Version Details Vulnerabilities
43 Application Mysql Mysql 3.23.51 Version Details Vulnerabilities
44 Application Mysql Mysql 3.23.52 Version Details Vulnerabilities
45 Application Mysql Mysql 3.23.53a Version Details Vulnerabilities
46 Application Mysql Mysql 3.23.53 Version Details Vulnerabilities
47 Application Mysql Mysql 3.23.54 Version Details Vulnerabilities
48 Application Mysql Mysql 3.23.54a Version Details Vulnerabilities
49 Application Mysql Mysql 3.23.55 Version Details Vulnerabilities
50 Application Mysql Mysql 3.23.56 Version Details Vulnerabilities
51 Application Mysql Mysql 3.23.58 Version Details Vulnerabilities
52 Application Mysql Mysql 4.0.0 Version Details Vulnerabilities
53 Application Mysql Mysql 4.0.1 Version Details Vulnerabilities
54 Application Mysql Mysql 4.0.2 Version Details Vulnerabilities
55 Application Mysql Mysql 4.0.3 Version Details Vulnerabilities
56 Application Mysql Mysql 4.0.4 Version Details Vulnerabilities
57 Application Mysql Mysql 4.0.5 Version Details Vulnerabilities
58 Application Mysql Mysql 4.0.5a Version Details Vulnerabilities
59 Application Mysql Mysql 4.0.6 Version Details Vulnerabilities
60 Application Mysql Mysql 4.0.7 Version Details Vulnerabilities
61 Application Mysql Mysql 4.0.7 Gamma Version Details Vulnerabilities
62 Application Mysql Mysql 4.0.8 Gamma Version Details Vulnerabilities
63 Application Mysql Mysql 4.0.8 Version Details Vulnerabilities
64 Application Mysql Mysql 4.0.9 Version Details Vulnerabilities
65 Application Mysql Mysql 4.0.9 Gamma Version Details Vulnerabilities
66 Application Mysql Mysql 4.0.10 Version Details Vulnerabilities
67 Application Mysql Mysql 4.0.11 Version Details Vulnerabilities
68 Application Mysql Mysql 4.0.11 Gamma Version Details Vulnerabilities
69 Application Mysql Mysql 4.0.12 Version Details Vulnerabilities
70 Application Mysql Mysql 4.0.13 Version Details Vulnerabilities
71 Application Mysql Mysql 4.0.14 Version Details Vulnerabilities
72 Application Mysql Mysql 4.0.15 Version Details Vulnerabilities
73 Application Mysql Mysql 4.0.18 Version Details Vulnerabilities
74 Application Mysql Mysql 4.1.0 Alpha Version Details Vulnerabilities
75 Application Mysql Mysql 4.1.0.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Mysql Mysql 75

- References For CVE-2004-0381

http://www.ciac.org/ciac/bulletins/p-018.shtml
CIAC P-018
http://security.gentoo.org/glsa/glsa-200405-20.xml
GENTOO GLSA-200405-20
http://www.mandriva.com/security/advisories?name=MDKSA-2004:034
MANDRAKE MDKSA-2004:034
http://www.debian.org/security/2004/dsa-483
DEBIAN DSA-483
http://www.redhat.com/support/errata/RHSA-2004-569.html
REDHAT RHSA-2004:569
http://www.redhat.com/support/errata/RHSA-2004-597.html
REDHAT RHSA-2004:597
http://www.securityfocus.com/bid/9976
BID 9976 MySQL Aborted Bug Report Insecure Temporary File Creation Vulnerability Release Date:2010-08-05
http://marc.theaimsgroup.com/?l=bugtraq&m=108206802810402&w=2
BUGTRAQ 20040414 [OpenPKG-SA-2004.014] OpenPKG Security Advisory (mysql)
http://marc.theaimsgroup.com/?l=bugtraq&m=108023246916294&w=2
BUGTRAQ 20040324 mysqlbug tmpfile/symlink vulnerability.
http://xforce.iss.net/xforce/xfdb/15617
XF mysql-mysqlbug-symlink(15617)

- Metasploit Modules Related To CVE-2004-0381

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.